<?php
/*
* @package LabCMS
* @copyright (c) 2006 Alexander Levin aka Loki (loki_angel@mail.ru)
* @support http://labcms.ru
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*/

Hook::call('sitemap_before');

$sm=Factory::create('sitemap.main');

$action='sitemap';
if (isset($_GET['action']) && is_callable(array($sm, $_GET['action']))) $action=$_GET['action'];
call_user_func(array($sm, $action));

Hook::call('sitemap_after');
